window.Gleam.initSearch([{"doc":"glacier_gleeunit","title":"glacier_gleeunit","content":"# glacier_gleeunit\n\n**This is a fork of [*Gleeunit*](https://hex.pm/packages/gleeunit) that allows it to be called as a library/function with a list of test modules instead of just via CLI.**\n\n**This is a dependency of [*Glacier*](https://hex.pm/packages/glacier).**\n\n**DO NOT install *Gleeunit* and this fork side by side in the same project.**\n\n* * *\n\nGleam bindings to the Erlang EUnit test framework.\n\nA custom test runner is included for when compiled to JavaScript running on\neither NodeJS or Deno.\n\nDocumentation is available on [HexDocs](https://hexdocs.pm/glacier_gleeunit/index.html).\n\n## Usage\n\nAdd this package to your Gleam project.\n\n```sh\ngleam add glacier_gleeunit --dev\n```\n\nAnd then call the `gleeunit.main` function from your test main function.\n\n```gleam\n// In test/yourapp_test.gleam\nimport gleeunit\n\npub fn main() {\n  gleeunit.main()\n}\n```\n\nNow any public function with a name ending in `_test` in the `test` directory\nwill be found and run as a test.\n\n```gleam\npub fn the_universe_test() {\n  assert 1 = 1\n}\n```\n\nRun the tests by entering `gleam test` in the command line.\n\n### Deno\n\nIf using the Deno JavaScript runtime, you will need to add the following to your\n`gleam.toml`.\n\n```toml\n[javascript.deno]\nallow_read = [\n  &quot;gleam.toml&quot;,\n  &quot;test&quot;,\n  &quot;build&quot;,\n]\n```\n","url":"index.html"},{"doc":"gleeunit","title":"main","content":"pub fn main() -&gt; Nil\n Find and run all test functions for the current project using Erlang&#39;s EUnit\n test framework.\n\n Any Erlang or Gleam function in the `test` directory with a name editing in\n `_test` is considered a test function and will be run.\n\n If running on JavaScript tests will be run with a custom test runner.\n\nSynonyms:\ngleeunit.main\ngleeunit main","url":"gleeunit.html#main"},{"doc":"gleeunit","title":"run","content":"pub fn run(test_module_files: List(String), halts_on_error halts_on_error: Bool) -&gt; Nil\n Similar to `main()` but meant to be called as a function not from cli:\n - Allows to specificy a list of test modules\n - Allows customization of the halt behavior\n\nSynonyms:\ngleeunit.run\ngleeunit run","url":"gleeunit.html#run"},{"doc":"gleeunit","title":"gleeunit","content":"","url":"gleeunit.html"},{"doc":"gleeunit/should","title":"be_error","content":"pub external fn be_error(Result(a, b)) -&gt; b\n\nSynonyms:\ngleeunit/should.be_error\ngleeunit/should be_error","url":"gleeunit/should.html#be_error"},{"doc":"gleeunit/should","title":"be_false","content":"pub fn be_false(actual: Bool) -&gt; Nil\n\nSynonyms:\ngleeunit/should.be_false\ngleeunit/should be_false","url":"gleeunit/should.html#be_false"},{"doc":"gleeunit/should","title":"be_ok","content":"pub external fn be_ok(Result(a, b)) -&gt; a\n\nSynonyms:\ngleeunit/should.be_ok\ngleeunit/should be_ok","url":"gleeunit/should.html#be_ok"},{"doc":"gleeunit/should","title":"be_true","content":"pub fn be_true(actual: Bool) -&gt; Nil\n\nSynonyms:\ngleeunit/should.be_true\ngleeunit/should be_true","url":"gleeunit/should.html#be_true"},{"doc":"gleeunit/should","title":"equal","content":"pub external fn equal(a, a) -&gt; Nil\n\nSynonyms:\ngleeunit/should.equal\ngleeunit/should equal","url":"gleeunit/should.html#equal"},{"doc":"gleeunit/should","title":"fail","content":"pub fn fail() -&gt; Nil\n\nSynonyms:\ngleeunit/should.fail\ngleeunit/should fail","url":"gleeunit/should.html#fail"},{"doc":"gleeunit/should","title":"not_equal","content":"pub external fn not_equal(a, a) -&gt; Nil\n\nSynonyms:\ngleeunit/should.not_equal\ngleeunit/should not_equal","url":"gleeunit/should.html#not_equal"},{"doc":"gleeunit/should","title":"gleeunit/should","content":" A module for testing your Gleam code. The functions found here are\n compatible with the Erlang eunit test framework.\n\n More information on running eunit can be found in [the rebar3\n documentation](https://rebar3.org/docs/testing/eunit/).","url":"gleeunit/should.html"},{"doc":"glacier_gleeunit","title":"main","content":"pub fn main() -&gt; Nil\n\nSynonyms:\nglacier_gleeunit.main\nglacier_gleeunit main","url":"glacier_gleeunit.html#main"},{"doc":"glacier_gleeunit","title":"glacier_gleeunit","content":" This file exists merely as a proxy module and should not be merged into gleeunit\n","url":"glacier_gleeunit.html"}]);